Subject: [ipcdn] TX-RX gain in Sig MIB Draft

From: "Kumar, Satish" <[email-masked]>
Date: Tue, 21 Jun 2005 20:27:10 -0500

Hi,

Question on pktcNcsEndPntConfigTxGain  and pktcNcsEndPntConfigRxGain 

The MIB description is pasted below. There is no range of values defined
for these MIBs. Setting random values impact the devices badly. It is
good to retsrict these MIBs with specific range values. 

pktcNcsEndPntConfigTxGain OBJECT-TYPE  
       SYNTAX Integer32  
       UNITS "dB"  
       MAX-ACCESS read-create 
       STATUS current  
       DESCRIPTION  
           "This MIB Object represents the per line transmitter (A/D)  
           gain. A positive number reflects a signal gain, a negative  
           number reflects a signal loss. This MIB Object may provision

           the gain or it may be used to document a non-provisionable  
           gain between the telco (POTS) a-b (T/R) terminals and the  
           analog codec maximum PCM coding limit (PCM maximum coding  
           limit).  Based on the default G.711 Vocoder maximum of 3.14  
           or 3.17 dBm the -4 dB gain default provides Vocoder coding  
           protection against TE maximum signals while also providing  
           an initial loss to minimize analog signal echo. " 
       DEFVAL { -4 }  
       ::= { pktcNcsEndPntConfigEntry 39 } 
    
   pktcNcsEndPntConfigRxGain OBJECT-TYPE  
       SYNTAX Integer32  
       UNITS "dB"  
       MAX-ACCESS read-create  
       STATUS current  
       DESCRIPTION  
           "This MIB Object represents the per line receiver (D/A)  
           gain. A positive number reflects a signal gain, a negative  
           number reflects a signal loss. This MIB Object may provision 
           the gain or it may be used to document a non-provisionable  
           gain for use with the pktcSigDevToneDbLevel Object to set  
           the desired level at the a-b (T/R) terminals.  
    
           The default values are based on the deployed markets. Some  
           recommendations are made as follows: 
           - Based on the default G.711 Vocoder maximum of 3.14 or 3.17

             dBm a default value of '-4 dB' provides a maximum analog  
             signal level at the a-b (T/R) termination point 
           - Based on [ETSI TS 101 909-4], which provides guidance of  
             11 dB loss (-11 dB gain), a default value of '-11 dB' is  
             recommended." 
       ::= { pktcNcsEndPntConfigEntry 40 } 

Comments please..!

Thx, Satish

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 21 Jun 2005 21:06:47 -0700

Hi -

> From: "Kumar, Satish" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, June 21, 2005 6:27 PM
> Subject: [ipcdn] TX-RX gain in Sig MIB Draft
...
> good to retsrict these MIBs with specific range values.

You're quite right.  Also, in the case of  pktcNcsEndPntConfigRxGain,
a DEFVAL needs to be added.  And there's the use of "recommended"
when I'd expect "RECOMMENDED", which is stronger than what DEFVAL
means per RFC 2578 section 7.9.

A handy tool for checking these things is [email-masked]
Just send an email message (empty subject line) containing the
extracted MIB module, (after replacing "XXX" dummy values)
and it will send back a surprisingly useful analysis.  It doesn't
catch *everything*, but it certainly helps with all the easy stuff,
and can be a big time saver.

Randy